Loading...
Searching...
No Matches
pappso::UiMonitorText Class Reference

`#include <uimonitortext.h>`

Inheritance diagram for pappso::UiMonitorText:

## Public Member Functions

| UiMonitorText (QTextStream &output_stream)
| ~UiMonitorText ()
virtual bool | shouldIstop () override
| should the procces be stopped ? If true, then cancel process Use this function at strategic point of your process in order to interrupt it cleanly Implementation must take care of thread resistance if implemented
virtual void | count () override
| count steps report when a step is computed in an algorithm
virtual void | setTitle (const QString &title) override
| current kind of process running
virtual void | setStatus (const QString &status) override
| current status of the process
virtual void | appendText (const QString &text) override
| append a text to a long report
virtual void | setTotalSteps (std::size_t total_number_of_steps)
| use it if the number of steps is known in an algorithm the total number of steps is usefull to report to the user a progress message in percents or with a progress bar

## Protected Attributes

QTextStream & | m_outputStream
std::size_t | m_count = 0
Protected Attributes inherited from pappso::UiMonitorInterface
std::size_t | m_totalSteps = 0

## Detailed Description

Todo
  simple text monitor using text stream

Definition at line 41 of file uimonitortext.h.

## Constructor & Destructor Documentation

## UiMonitorText()

UiMonitorText::UiMonitorText | ( | QTextStream & | output_stream | ) |

Default constructor

Definition at line 35 of file uimonitortext.cpp.

: m_outputStream(output_stream)
{
}
pappso::UiMonitorText::m_outputStream
QTextStream & m_outputStream
Definition uimonitortext.h:80

References m_outputStream.

Referenced by pappso::UiMonitorTextPercent::UiMonitorTextPercent().

## ~UiMonitorText()

UiMonitorText::~UiMonitorText | ( |  | ) |

Destructor

Definition at line 39 of file uimonitortext.cpp.

{
}

## Member Function Documentation

## appendText()

void pappso::UiMonitorText::appendText | ( | const QString & | text | ) |

override virtual

append a text to a long report

Parameters

  text | string to append in a long report

Implements pappso::UiMonitorInterface.

Definition at line 80 of file uimonitortext.cpp.

{
m_outputStream << text << Qt::endl;
m_outputStream.flush();
}

References m_outputStream.

## count()

void pappso::UiMonitorText::count | ( |  | ) |

override virtual

count steps report when a step is computed in an algorithm

Implements pappso::UiMonitorInterface.

Reimplemented in pappso::UiMonitorTextPercent.

Definition at line 65 of file uimonitortext.cpp.

{
m_count++;
if(m_count <= m_totalSteps)
{
m_outputStream << m_count << " ";
}
else
{
m_outputStream << QObject::tr("%1 on %2").arg(m_count).arg(m_totalSteps) << " ";
}
m_outputStream.flush();
}
pappso::UiMonitorInterface::m_totalSteps
std::size_t m_totalSteps
Definition uimonitorinterface.h:92
pappso::UiMonitorText::m_count
std::size_t m_count
Definition uimonitortext.h:81

References m_count, m_outputStream, and pappso::UiMonitorInterface::m_totalSteps.

## setStatus()

void pappso::UiMonitorText::setStatus | ( | const QString & | status | ) |

override virtual

current status of the process

Parameters

  status | status message

Implements pappso::UiMonitorInterface.

Definition at line 58 of file uimonitortext.cpp.

{
m_outputStream << status << Qt::endl;
m_outputStream.flush();
}

References m_outputStream.

## setTitle()

void pappso::UiMonitorText::setTitle | ( | const QString & | title | ) |

override virtual

current kind of process running

Parameters

  title | process title

Implements pappso::UiMonitorInterface.

Definition at line 51 of file uimonitortext.cpp.

{
m_outputStream << title << Qt::endl;
m_outputStream.flush();
}

References m_outputStream.

## setTotalSteps()

void pappso::UiMonitorText::setTotalSteps | ( | std::size_t | total_number_of_steps | ) |

virtual

use it if the number of steps is known in an algorithm the total number of steps is usefull to report to the user a progress message in percents or with a progress bar

Parameters

  total_number_of_steps | the total number of steps

Reimplemented from pappso::UiMonitorInterface.

Reimplemented in pappso::UiMonitorTextPercent.

Definition at line 87 of file uimonitortext.cpp.

{
UiMonitorInterface::setTotalSteps(total_number_of_steps);
m_count = 0;
}
pappso::UiMonitorInterface::setTotalSteps
virtual void setTotalSteps(std::size_t total_number_of_steps)
use it if the number of steps is known in an algorithm the total number of steps is usefull to report...
Definition uimonitorinterface.h:66

References m_count, and pappso::UiMonitorInterface::setTotalSteps().

Referenced by pappso::UiMonitorTextPercent::setTotalSteps().

## shouldIstop()

bool pappso::UiMonitorText::shouldIstop | ( |  | ) |

override virtual

should the procces be stopped ? If true, then cancel process Use this function at strategic point of your process in order to interrupt it cleanly Implementation must take care of thread resistance if implemented

Implements pappso::UiMonitorInterface.

Definition at line 44 of file uimonitortext.cpp.

{
// by defaut not interruptible
return false;
}

## Member Data Documentation

## m_count

std::size_t pappso::UiMonitorText::m_count = 0

protected

Definition at line 81 of file uimonitortext.h.

Referenced by count(), pappso::UiMonitorTextPercent::count(), setTotalSteps(), and pappso::UiMonitorTextPercent::setTotalSteps().

## m_outputStream

QTextStream& pappso::UiMonitorText::m_outputStream

protected

Definition at line 80 of file uimonitortext.h.

Referenced by UiMonitorText(), appendText(), count(), pappso::UiMonitorTextPercent::count(), setStatus(), setTitle(), and pappso::UiMonitorTextPercent::setTotalSteps().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/uimonitor/uimonitortext.h
- pappsomspp/core/processing/uimonitor/uimonitortext.cpp